function fig = plotMISOcontrol(y,u,ys,IAE,time)

fig = figure();
figProps.OuterPosition = [100 100 800 800];
figProps.Color = [1 1 1];
set(fig,figProps);
left_color = [0 0 0];
right_color = [.5 .5 0];
set(fig,'defaultAxesColorOrder',[left_color; right_color]);

subplt = subplot(2,1,1);
yyaxis left
plot(time,y,'LineWidth',1.5)
hold on
plot(time,ys)
ylabel('y')
xlabel('Time [s]')
maxy=max(max(y),max(ys));
miny=min(min(y),min(ys));
deltay = abs(maxy-miny);
ylim([miny-0.05*deltay,maxy+0.05*deltay])
yyaxis right
plot(time,IAE,'LineWidth',1.5)
ylabel('IAE')
legend('Output, y','Setpoint, y_s','IAE','Location','southeast' )


u1=u(:,1);
u2=u(:,2);
subplot(4,1,3)
plot(time,u1,'LineWidth',1.5)
ylabel('u_1')
maxu=max(u1);
minu=min(u1);
deltau = abs(maxu-minu);
ylim([minu-0.05*deltau,maxu+0.05*deltau])
ylim([0,1])

subplot(4,1,4)
plot(time,u2,'LineWidth',1.5)
xlabel('Time [s]')
ylabel('u_2')
maxu=max(u2);
minu=min(u2);
deltau = abs(maxu-minu);
ylim([minu-0.05*deltau,maxu+0.05*deltau])
ylim([0,1])

end%fun