function fig = plotSISOcontrol(y,u,ys,IAE,time)

fig = figure();
figProps.OuterPosition = [100 100 800 600];
figProps.Color = [1 1 1];
set(fig,figProps);
left_color = [0 0 0];
right_color = [.5 .5 0];
set(fig,'defaultAxesColorOrder',[left_color; right_color]);

subplt = subplot(2,1,1);
yyaxis left
plot(time,y,'LineWidth',1.5)
hold on
plot(time,ys)
ylabel('y')

maxy=max(max(y),max(ys));
miny=min(min(y),min(ys));
deltay = abs(maxy-miny);
%ylim([min(min(y),min(ys))-0.05*abs(min(min(y),min(ys))),...
%    max(max(y),max(ys))+0.05*abs(max(max(y),max(ys)))])
ylim([miny-0.05*deltay,maxy+0.05*deltay])
yyaxis right
plot(time,IAE,'LineWidth',1.5)
ylabel('IAE')
legend('Output, y','Setpoint, y_s','IAE','Location','east' )
% 0.1300    0.5838    0.7750    0.3412
%set(subplt, 'Units', 'normalized');
shift = 0.0838;
set(subplt, 'Position', [0.1300 0.5838-shift 0.7750 0.3412+shift]);
%get(subplt,'Position')
subplot(2,1,2)
plot(time,u,'LineWidth',1.5)
xlabel('Time [s]')
ylabel('u')
maxu=max(u);
minu=min(u);
deltau = abs(maxu-minu);
ylim([minu-0.05*deltau,maxu+0.05*deltau])
%ylim([min(u)-0.05*abs(min(u)), max(u)+0.05*abs(max(u))])
legend('Input, u','Location','east')

end%fun