function [Kc,tauI] = SIMCPI(tf,tauc)

sys_num = cell2mat(tf.num);         % tf system
sys_den = cell2mat(tf.den);         % tf system
if sys_den(2)~=1                    % make tf on time constant format
    sys_num=sys_num/sys_den(2);
    sys_den=sys_den/sys_den(2);
end%if

% First order response parameters:
k = sys_num(2);                     % Plant gain
tau1 = sys_den(1);                  % Dominant lag time constant
theta = tf.IOdelay;                 % Delay

% SIMC PI tuning:
Kc = 1/k*tau1/(tauc+theta);         % controller gain
tauI = min(tau1,4*(tauc+theta));    % Integral time

end%fun