function fig = plotMIMOcontrol(y,u,ys,us,IAE,time)

fig = figure();
figProps.OuterPosition = [100 100 1000 600];
figProps.Color = [1 1 1];
set(fig,figProps);

left_color = [0 0 0];
right_color = [.5 .5 0];
set(fig,'defaultAxesColorOrder',[left_color; right_color]);

subplt = subplot(2,2,2);
yyaxis left
plot(time,y(:,1),'LineWidth',1.5)
hold on
plot(time,ys(:,1))
ylabel('y_1')
xlabel('Time [s]')
maxy=max(max(y(:,1)),max(ys(:,1)));
miny=min(min(y(:,1)),min(ys(:,1)));
deltay = abs(maxy-miny);
ylim([miny-0.05*deltay,maxy+0.05*deltay])
yyaxis right
plot(time,IAE(:,1),'LineWidth',1.5)
ylabel('IAE')
% legend('Output, y_1','Setpoint, y_s_1','IAE_1','Location','southeast' )

subplt = subplot(2,2,4);
yyaxis left
plot(time,y(:,2),'LineWidth',1.5)
hold on
plot(time,ys(:,2))
ylabel('y_2')
xlabel('Time [s]')
maxy=max(max(y(:,2)),max(ys(:,2)));
miny=min(min(y(:,2)),min(ys(:,2)));
deltay = abs(maxy-miny);
ylim([miny-0.05*deltay,maxy+0.05*deltay])
yyaxis right
plot(time,IAE(:,2),'LineWidth',1.5)
ylabel('IAE')
% legend('Output, y_2','Setpoint, y_s_2','IAE_2','Location','southeast' )


u1 = u(:,1);
u2 = u(:,2);
u3 = u(:,3);
subplot(3,2,1)
plot(time,u1,'LineWidth',1.5)
% xlabel('Time [s]')
ylabel('u_1')
maxu=max(u1);
minu=min(u1);
deltau = abs(maxu-minu);
ylim([minu-0.05*deltau,maxu+0.05*deltau])
ylim([0,1])

subplot(3,2,3)
plot(time,u2,'LineWidth',1.5)
% xlabel('Time [s]')
ylabel('u_2')
maxu=max(u2);
minu=min(u2);
deltau = abs(maxu-minu);
ylim([minu-0.05*deltau,maxu+0.05*deltau])
ylim([0,1])

subplot(3,2,5)
plot(time,u3,'LineWidth',1.5)
xlabel('Time [s]')
ylabel('u_3')
maxu=max(u3);
minu=min(u3);
deltau = abs(maxu-minu);
ylim([minu-0.05*deltau,maxu+0.05*deltau])
ylim([0,1])

end%fun