% Runs a test to find steady state conditions at given inputs.

% Init TOM1A 
com = 'COM4';   % com port
delete(instrfind({'Port'},{com}));
baud = 250000;  % baud rate 
Ts  = 0.1;      % Sampling time period
fTt = 0.05;     % Filter time constant for temperature (0.05s - 10s)
fTl = 0.05;     % Filter time constant for light intensity (0.05s - 10s)
fTf = 0.1;      % Filter time constant for light intensity (0.1s - 10s)

% measuring standby temperature (~roomtemperature)
t_step = 0;
stepBulb = 0.5;
stepFan = 0.2;
stepLed = 0.5;

t_sim  = 200; 

open('runSystem');
set_param(gcs,'StopTime',num2str(t_sim));
set_param(gcs,'SimulationCommand','start');
while get_param(gcs,'SimulationStatus')=='running' %Waiting on simulink
    pause(1)
end%while
pause(1) %Waiting for simulink to save to WS
close_system('runSystem');
ss.y = [Temperature(end),LightIntensity(end)]';
ss.u = [stepBulb,stepFan,stepLed]';